Page MenuHomePhabricator

HttpRequest: Failing under PHP 5.6 (CURLOPT_CLOSEPOLICY not defined)
Closed, ResolvedPublic

Description

Constants CURLOPT_CLOSEPOLICY, CURLCLOSEPOLICY_LEAST_RECENTLY_USED and others are not defined as they were removed in PHP 5.6.0.

Tests should probably be updated to only test the ones relevant for the CurlHttpRequest class to function properly. If those include constants removed in PHP 5.6, then we should fix the code to use a different method in PHP 5.6.

See also:

Example of HttpRequest failing on PHP 5.6:
https://travis-ci.org/wikimedia/mediawiki-core/jobs/37159310 (lines 305...342)


Version: unspecified
Severity: major

Details

Reference
bz71729

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:50 AM
bzimport set Reference to bz71729.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Oct 7 2014, 3:06 AM

gerritadmin wrote:

Change 162825 had a related patch set uploaded by Dan-nl:
Updated cURL constants array

https://gerrit.wikimedia.org/r/162825

gerritadmin wrote:

Change 162825 merged by jenkins-bot:
HttpTest: Update cURL constants array

https://gerrit.wikimedia.org/r/162825

Anything left to do here, or did the merged patch fix this bug report?

https://travis-ci.org/Krinkle/mediawiki-core/jobs/37801162 (current master on PHP 5.6) no longer shows any CURL related errors.

Danny_B moved this task from Unsorted to PHP 5.6 on the [DO NOT USE] NewPHP board.Jul 3 2016, 12:26 AM